void printi(int val);

int main()
{
  char *p;
  char c;

  printi(sizeof(char));
  printi(sizeof(char *));
  printi(sizeof(p));
  printi(sizeof(c));
  printi(sizeof(&c));
  printi(sizeof(&p));
  printi(sizeof(*p));

  return 0;
}
